export declare class Table<T> {
    columnKeys: string[];
    private collection;
    private tableColumns;
    private tableCells;
    get columnData(): any[];
    get rowData(): any[][];
    set collectionData(collection: T[]);
    constructor(collection: T[], columns: string, tableColumns: {
        [key: string]: Function;
    }, tableCells: {
        [key: string]: Function;
    });
}
